# $Revision: 1.28 $, $Date: 2011/02/12 08:19:11 $
# NOTE: there is bsf 3.1 now, bsf 2 and bsf 3 implement different specs;
#       so move 2.4 to java-bsf2.spec and upgrade this to 3.1 or the opposite
%include	/usr/lib/rpm/macros.java
#
%define		pkgname	bsf
#
Summary:	Bean Scripting Framework
Summary(pl.UTF-8):	Bean Scripting Framework - środowisko skryptowe
Name:		java-%{pkgname}
Version:	2.4.0
Release:	1
License:	Apache v1.1
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/jakarta/bsf/source/%{pkgname}-src-%{version}.tar.gz
# Source0-md5:	7e58b2a009c0f70ab36bbef420b25c07
Patch0:		%{name}-buildprops.patch
URL:		http://jakarta.apache.org/bsf/
BuildRequires:	ant
BuildRequires:	jacl
BuildRequires:	jpackage-utils
BuildRequires:	java-commons-logging
BuildRequires:	java-netrexx
BuildRequires:	java-rhino
#BuildRequires:	jython < 2.5
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
BuildRequires:	java-xalan
Requires:	jpackage-utils
Obsoletes:	bsf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bean Scripting Framework.

%description -l pl.UTF-8
Bean Scripting Framework - środowisko skryptowe.

%package javadoc
Summary:	Bean Scripting Framework documentation
Summary(pl.UTF-8):	Dokumentacja do Bean Scripting Framework
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	bsf-doc

%description javadoc
Bean Scripting Framework documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Bean Scripting Framework.

%prep
%setup -qn %{pkgname}-%{version}
%patch0 -p1

%build
# disabled: jython (not ready for 2.5)
required_jars="commons-logging jacl tcljava js NetRexxC NetRexxR xalan xsltc"
export CLASSPATH=$(build-classpath $required_jars)
%ant compile javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install lib/%{pkgname}.jar $RPM_BUILD_ROOT%{_javadir}/%{pkgname}-%{version}.jar
ln -s %{pkgname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{pkgname}.jar

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{pkgname}-%{version}
cp -a build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{pkgname}-%{version}
ln -s %{pkgname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{pkgname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{pkgname}-%{version} %{_javadocdir}/%{pkgname}

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES.txt LICENSE.txt NOTICE.txt README.txt RELEASE-NOTE.txt TODO.txt
%{_javadir}/bsf-%{version}.jar
%{_javadir}/bsf.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{pkgname}-%{version}
%ghost %{_javadocdir}/%{pkgname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-bsf.spec,v $
Revision 1.28  2011/02/12 08:19:11  qboosh
- updated to 2.4.0
- added buildprops patch (missing build-properties.xml taken from svn)
- js/rhino engine builds now, jython engine is not ready for current jython

Revision 1.27  2010/04/18 12:48:15  jajcus
- Obsoletes: bsf

Revision 1.26  2010/04/18 12:47:18  jajcus
- BR names updated

Revision 1.25  2010/04/18 12:42:59  jajcus
- bsf renamed to java-bsf

Revision 1.24  2007/12/09 01:22:52  glen
- R: jpackage-utils for %{_javadir}; cosmetics/cleanups

Revision 1.23  2007-03-01 08:43:41  arekm
- jython doesn't seem to be needed (builds without it)

Revision 1.22  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.20  2006/12/08 01:03:52  glen
- -javadoc R: jpackage-utils for parent dirs; rel 4

Revision 1.19  2006/05/25 07:50:14  jajcus
- Release: 3 (rebuild with fixed jpackage-utils and java-sun)

Revision 1.18  2006/05/24 13:57:18  jajcus
- Release: 2

Revision 1.17  2006/05/24 13:33:39  jajcus
- Release: 1 (although there is "rc" in URL this seems an official version)
- BR: jpackage-utils, rpmbuild(macros)
- ExclusiveArch
- javadoc in -javadoc subpackage and %{_javadocdir}

Revision 1.16  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.15  2005/05/08 15:59:40  qboosh
- disabled jpython (obsoleted by jython)
- temporarily disabled rhino (not ready for current rhino debugger API)
- some spec updates, builds now

Revision 1.14  2004/12/16 17:20:10  baggins
- some BR
- new build system

Revision 1.13  2004/12/16 17:12:24  baggins
- started updated to 2.3.0rc1

Revision 1.12  2004/12/14 16:59:54  baggins
- DON'T hardcode java paths!

Revision 1.11  2003/08/06 16:38:21  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/10/10 12:18:08  marcus
- use new %doc

Revision 1.7  2002/04/25 15:55:40  arturs
- fixed a small typo

Revision 1.6  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.5  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/09 15:38:42  qboosh
- pl(?) translations

Revision 1.1  2001/10/02 08:28:55  pascalek
- initial revision
